O'Reilly logo

Instant Drools Starter by Jeremy Ary

Stay ahead with the world's most comprehensive technology and business learning platform.

With Safari, you learn the way you learn best. Get unlimited access to videos, live online training, learning paths, books, tutorials, and more.

Start Free Trial

No credit card required

Installation

In just five easy steps, you can integrate Drools into a new or existing project.

Step 1 – what do I need?

For starters, you will need to check that you have all of the required elements, listed as follows (all versions are as of time of writing):

  • Java 1.5 (or higher) SE JDK.
  • Apache Maven 3.0.4.
  • Eclipse 4.2 (Juno) and the Drools plugin.
  • Memory—512 MB (minimum), 1 GB or higher recommended. This will depend largely on the scale of your JVM and rule sessions, but the more the better!

Step 2 – installing Java

Java is the core language on which Drools is built, and is the language in which we'll be writing, so we'll definitely be needing that. The easiest way to get Java going is to download from and follow the installation instructions found ...

With Safari, you learn the way you learn best. Get unlimited access to videos, live online training, learning paths, books, interactive tutorials, and more.

Start Free Trial

No credit card required